{
  description = "Figlet Fonts";

  inputs = {
    nixpkgs = {
      url = "nixpkgs/nixos-unstable";
    };
    flake-utils = {
      url = "github:numtide/flake-utils";
    };
  };
  outputs = { self, nixpkgs, flake-utils, ... }@inputs:
    flake-utils.lib.eachDefaultSystem
      (system:
        let
          pkgs = import nixpkgs {
            inherit system;
          };
        in
        {
          packages = {
            figlet-fonts =
              let
                pname = "figlet-fonts";
                version = "1.5.2";
              in
              pkgs.stdenvNoCC.mkDerivation {
                inherit pname version;
                src = pkgs.fetchFromGitHub {
                  owner = "patorjk";
                  repo = "figlet.js";
                  rev = version;
                  sha256 = "sha256-bDnIGCnSe4qXkRRXF6Tu1p0n/6rUIiHGpoKyV54fb4Q=";
                };
                dontPatch = true;
                dontConfigure = true;
                dontBuild = true;
                dontFixup = true;
                installPhase = ''
                  install -d $out/share/figlet
                  install -m 0444 fonts/* $out/share/figlet
                '';
              };
          };
        }
      );
}
